﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Threading;
using Infragistics;
using Infragistics.Controls.Grids;

namespace GridsCell
{
    public partial class MainWindow : Window
    {
        private readonly ObservableCollection<Data> collection;

        public MainWindow()
        {
            InitializeComponent();
            collection = new ObservableCollection<Data>();
            xamGrid.ItemsSource = collection;
            xamGrid.FilteringSettings.AllowFiltering = FilterUIType.FilterMenu;
        }

        Random rand = new Random();

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            Enumerable.Range(1, 100).ToList().ForEach(_ =>
                                                       {
                                                           collection.Add(new Data
                                                                          {
                                                                              Name = rand.Next(1, 100).ToString(),
                                                                              Age = rand.Next(1, 100),
                                                                              MaxAge = rand.Next(1, 100),
                                                                              Children = new List<Child>(){new Child
                                                                              {
                                                                                  Name = rand.Next(1,100).ToString()
                                                                              }
                                                                              }
                                                                          });
                                                       });

        }

    

    }

        public class Data
        {
            public String Name { get; set; }
            public Double Age { get; set; }
            public Double MaxAge { get; set; }

            public List<Child> Children { get; set; }
        }

        public class Child
        {
            public String Name { get; set; }
        }
    

}
